# angle::tan Class Reference

Angle representation as a tangent function. More...

`#include <ETL/angle>`

Inheritance diagram for angle::tan:

List of all members.

## Public Member Functions

| tan (const value_type &x)
| tan (const value_type &y, const value_type &x)
| tan (const angle &a)
tan | mod () const
| Rotation Modulus.
tan | dist (const angle &rhs) const
| Angle Difference Function.
value_type | get () const

## Detailed Description

Angle representation as a tangent function.

See also:
  angle

Todo:
  This needs to be documented

Definition at line 461 of file _angle.h.

## Constructor & Destructor Documentation

angle::tan::tan | ( | const value_type & | x | ) | `[inline, explicit]`

Definition at line 464 of file _angle.h.

References angle::v.

angle::tan::tan | ( | const value_type & | y,
|  | const value_type & | x |
| ) |  |  | `[inline]`

Definition at line 465 of file _angle.h.

References angle::v.

angle::tan::tan | ( | const angle & | a | ) | `[inline]`

Definition at line 466 of file _angle.h.

## Member Function Documentation

tan angle::tan::mod | ( |  | ) | const`[inline]`

Rotation Modulus.

This function will return the value of the angle

Reimplemented from angle.

Definition at line 467 of file _angle.h.

References angle::mod().

tan angle::tan::dist | ( | const angle & | rhs | ) | const`[inline]`

Angle Difference Function.

This function will return the difference between two angles, just like

See also:
  angle operator-(const angle &)

Reimplemented from angle.

Definition at line 468 of file _angle.h.

References angle::dist().

value_type angle::tan::get | ( |  | ) | const`[inline]`

Definition at line 469 of file _angle.h.

References tan(), and angle::v.

The documentation for this class was generated from the following file:

- _angle.h